Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.persistence
Interface KodoEntityManagerFactory

All Superinterfaces:
  Closeable, ConnectionRetainModes, EntityManagerFactory, OpenJPAEntityManagerFactory, Serializable

Deprecated.

    public interface KodoEntityManagerFactory

extends OpenJPAEntityManagerFactory

Redefines OpenJPA EntityManagerFactory for backward compatibility with published Kodo-specific 4.0 API.

Since:
  4.1

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.ConnectionRetainModes
`CONN_RETAIN_ALWAYS, CONN_RETAIN_DEMAND, CONN_RETAIN_TRANS`

Method Summary
`void` | `addTransferListener(RemoteTransferListener listener)` Deprecated. This method only available on client factories.
`KodoEntityManager` | `createEntityManager()` Deprecated.
`KodoEntityManager` | `createEntityManager(Map props)` Deprecated. Return an entity manager with the provided additional configuration settings.
`QueryResultCache` | `getQueryResultCache()` Deprecated. Access query result cache.
`StoreCache` | `getStoreCache()` Deprecated. Access the level 2 store cache.
`StoreCache` | `getStoreCache(String name)` Deprecated. Access a named level 2 store cache.
`boolean` | `isPersistenceServerRunning()` Deprecated. Return true if a persistence server is running.
`boolean` | `joinPersistenceServer()` Deprecated. Join the thread running the persistence server for this factory.
`void` | `removeTransferListener(RemoteTransferListener listener)` Deprecated. This method only available on client factories.
`boolean` | `startPersistenceServer()` Deprecated. Start the persistence server.
`boolean` | `stopPersistenceServer()` Deprecated. Stop the persistence server.

Methods inherited from interface org.apache.openjpa.persistence.OpenJPAEntityManagerFactory
`addLifecycleListener, getConfiguration, getProperties, getUserObject, putUserObject, removeLifecycleListener`

Methods inherited from interface javax.persistence.EntityManagerFactory
`close, isOpen`

Methods inherited from interface org.apache.openjpa.lib.util.Closeable
`close`

Method Detail

### getStoreCache

    StoreCache getStoreCache()

  Deprecated.
  Access the level 2 store cache. This cache acts as a proxy to all named caches.

  Specified by:
    `getStoreCache` in interface `OpenJPAEntityManagerFactory`

### getStoreCache

    StoreCache getStoreCache(String name)

  Deprecated.
  Access a named level 2 store cache.

  Specified by:
    `getStoreCache` in interface `OpenJPAEntityManagerFactory`

### getQueryResultCache

    QueryResultCache getQueryResultCache()

  Deprecated.
  Access query result cache.

  Specified by:
    `getQueryResultCache` in interface `OpenJPAEntityManagerFactory`

### createEntityManager

    KodoEntityManager createEntityManager()

  Deprecated.
  Specified by:
    `createEntityManager` in interface `EntityManagerFactory`
  Specified by:
    `createEntityManager` in interface `OpenJPAEntityManagerFactory`

### createEntityManager

    KodoEntityManager createEntityManager(Map props)

  Deprecated.

  Return an entity manager with the provided additional configuration settings. Kodo recognizes the following configuration settings in this method:

  - kodo.ConnectionUsername
  - kodo.ConnectionPassword
  - kodo.ConnectionRetainMode
  - kodo.TransactionMode

  Specified by:
    `createEntityManager` in interface `EntityManagerFactory`
  Specified by:
    `createEntityManager` in interface `OpenJPAEntityManagerFactory`

### startPersistenceServer

    boolean startPersistenceServer()

  Deprecated.
  Start the persistence server. This typically happens automatically when a factory with a configured server is obtained.

  Returns:
    false if there is no server configured, true otherwise

### joinPersistenceServer

    boolean joinPersistenceServer()

  Deprecated.
  Join the thread running the persistence server for this factory.

  Returns:
    false if no server is running, true otherwise

### stopPersistenceServer

    boolean stopPersistenceServer()

  Deprecated.
  Stop the persistence server.

  Returns:
    false if the server was not running, true otherwise

### isPersistenceServerRunning

    boolean isPersistenceServerRunning()

  Deprecated.
  Return true if a persistence server is running.

### addTransferListener

    void addTransferListener(RemoteTransferListener listener)

  Deprecated.
  This method only available on client factories. Register a listener that will be called as the EM uploads objects to the server during flush operations and when objects are downloaded from the server as part of queries or loads.

### removeTransferListener

    void removeTransferListener(RemoteTransferListener listener)

  Deprecated.
  This method only available on client factories. Deregisters a previously registered listener.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.